<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: Class Hierarchy</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('hierarchy.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">Class Hierarchy</div></div>
</div><!--header-->
<div class="contents">
<div class="textblock">This inheritance list is sorted roughly, but not completely, alphabetically:</div><div class="directory">
<div class="levels">[detail level <span onclick="javascript:dynsection.toggleLevel(1);">1</span><span onclick="javascript:dynsection.toggleLevel(2);">2</span><span onclick="javascript:dynsection.toggleLevel(3);">3</span><span onclick="javascript:dynsection.toggleLevel(4);">4</span>]</div><table class="directory">
<tr id="row_0_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structmelon_1_1_ann_normalization_parameters.html" target="_self">melon::AnnNormalizationParameters</a></td><td class="desc">Struct containing the parameters required for input normalization and output denormalization of a feedforward neural network </td></tr>
<tr id="row_1_" class="odd"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structmelon_1_1_ann_structure.html" target="_self">melon::AnnStructure</a></td><td class="desc">Struct containing all information regarding the structure of a feedforward neural network </td></tr>
<tr id="row_2_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structmelon_1_1_ann_weights.html" target="_self">melon::AnnWeights</a></td><td class="desc">Struct containing the different weights of a feedforward neural network </td></tr>
<tr id="row_3_" class="odd"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structtinyxml2_1_1_mem_pool_t_1_1_block.html" target="_self">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;::Block</a></td><td class="desc"></td></tr>
<tr id="row_4_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtinyxml2_1_1_x_m_l_document_1_1_depth_tracker.html" target="_self">tinyxml2::XMLDocument::DepthTracker</a></td><td class="desc"></td></tr>
<tr id="row_5_" class="odd"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtinyxml2_1_1_dyn_array.html" target="_self">tinyxml2::DynArray&lt; T, INITIAL_SIZE &gt;</a></td><td class="desc"></td></tr>
<tr id="row_6_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtinyxml2_1_1_dyn_array.html" target="_self">tinyxml2::DynArray&lt; char, 20 &gt;</a></td><td class="desc"></td></tr>
<tr id="row_7_" class="odd"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtinyxml2_1_1_dyn_array.html" target="_self">tinyxml2::DynArray&lt; const char *, 10 &gt;</a></td><td class="desc"></td></tr>
<tr id="row_8_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtinyxml2_1_1_dyn_array.html" target="_self">tinyxml2::DynArray&lt; tinyxml2::MemPoolT::Block *, 10 &gt;</a></td><td class="desc"></td></tr>
<tr id="row_9_" class="odd"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtinyxml2_1_1_dyn_array.html" target="_self">tinyxml2::DynArray&lt; tinyxml2::XMLNode *, 10 &gt;</a></td><td class="desc"></td></tr>
<tr id="row_10_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structtinyxml2_1_1_entity.html" target="_self">tinyxml2::Entity</a></td><td class="desc"></td></tr>
<tr id="row_11_" class="odd"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_11_" class="arrow" onclick="dynsection.toggleFolder('11_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><b>std::exception</b></td><td class="desc"></td></tr>
<tr id="row_11_0_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_melon_exception.html" target="_self">MelonException</a></td><td class="desc">This class defines the exceptions thrown by FeedForwardNet </td></tr>
<tr id="row_12_" class="odd"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="uniontinyxml2_1_1_mem_pool_t_1_1_item.html" target="_self">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;::Item</a></td><td class="desc"></td></tr>
<tr id="row_13_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_13_" class="arrow" onclick="dynsection.toggleFolder('13_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classmelon_1_1kernel_1_1_kernel.html" target="_self">melon::kernel::Kernel&lt; T, V &gt;</a></td><td class="desc">Abstract parent class for kernel implementations </td></tr>
<tr id="row_13_0_" class="odd"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classmelon_1_1kernel_1_1_kernel_composite_add.html" target="_self">melon::kernel::KernelCompositeAdd&lt; T, V &gt;</a></td><td class="desc">Composite kernel which on evaluation adds the evaluation results of its subkernels </td></tr>
<tr id="row_13_1_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classmelon_1_1kernel_1_1_kernel_composite_multiply.html" target="_self">melon::kernel::KernelCompositeMultiply&lt; T, V &gt;</a></td><td class="desc">Composite kernel which on evaluation multiplies the evaluation results of its subkernels </td></tr>
<tr id="row_13_2_" class="odd"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classmelon_1_1kernel_1_1_kernel_constant.html" target="_self">melon::kernel::KernelConstant&lt; T, V &gt;</a></td><td class="desc"><a class="el" href="classmelon_1_1kernel_1_1_kernel.html" title="Abstract parent class for kernel implementations.">Kernel</a> which always returns a constant value </td></tr>
<tr id="row_13_3_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_13_3_" class="arrow" onclick="dynsection.toggleFolder('13_3_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classmelon_1_1kernel_1_1_stationary_kernel.html" target="_self">melon::kernel::StationaryKernel&lt; T, V &gt;</a></td><td class="desc"></td></tr>
<tr id="row_13_3_0_" class="odd"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html" target="_self">melon::kernel::KernelRBF&lt; T, V &gt;</a></td><td class="desc">Implementation of Radial Basis Function kernel </td></tr>
<tr id="row_13_3_1_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_13_3_1_" class="arrow" onclick="dynsection.toggleFolder('13_3_1_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classmelon_1_1kernel_1_1_matern.html" target="_self">melon::kernel::Matern&lt; T, V &gt;</a></td><td class="desc">Abstract parent class for matern kernels </td></tr>
<tr id="row_13_3_1_0_" class="odd"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classmelon_1_1kernel_1_1_matern12.html" target="_self">melon::kernel::Matern12&lt; T, V &gt;</a></td><td class="desc">Class implementation of <a class="el" href="classmelon_1_1kernel_1_1_matern12.html" title="Class implementation of Matern12 kernel.">Matern12</a> kernel </td></tr>
<tr id="row_13_3_1_1_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classmelon_1_1kernel_1_1_matern32.html" target="_self">melon::kernel::Matern32&lt; T, V &gt;</a></td><td class="desc">Class implementation of <a class="el" href="classmelon_1_1kernel_1_1_matern32.html" title="Class implementation of Matern32 kernel.">Matern32</a> kernel </td></tr>
<tr id="row_13_3_1_2_" class="odd"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classmelon_1_1kernel_1_1_matern52.html" target="_self">melon::kernel::Matern52&lt; T, V &gt;</a></td><td class="desc">Class implementation of <a class="el" href="classmelon_1_1kernel_1_1_matern52.html" title="Class implementation of Matern52 kernel.">Matern52</a> kernel </td></tr>
<tr id="row_13_3_1_3_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classmelon_1_1kernel_1_1_matern_inf.html" target="_self">melon::kernel::MaternInf&lt; T, V &gt;</a></td><td class="desc">Class implementation of <a class="el" href="classmelon_1_1kernel_1_1_matern_inf.html" title="Class implementation of MaternInf kernel.">MaternInf</a> kernel </td></tr>
<tr id="row_14_" class="odd"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structmelon_1_1kernel_1_1_kernel_data.html" target="_self">melon::kernel::KernelData</a></td><td class="desc">Struct containing kernel parameters </td></tr>
<tr id="row_15_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structtinyxml2_1_1_long_fits_into_size_t_minus_one.html" target="_self">tinyxml2::LongFitsIntoSizeTMinusOne&lt; bool &gt;</a></td><td class="desc"></td></tr>
<tr id="row_16_" class="odd"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structtinyxml2_1_1_long_fits_into_size_t_minus_one_3_01false_01_4.html" target="_self">tinyxml2::LongFitsIntoSizeTMinusOne&lt; false &gt;</a></td><td class="desc"></td></tr>
<tr id="row_17_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_17_" class="arrow" onclick="dynsection.toggleFolder('17_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classmelon_1_1_melon_model.html" target="_self">melon::MelonModel&lt; T &gt;</a></td><td class="desc"></td></tr>
<tr id="row_17_0_" class="odd"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classmelon_1_1_feed_forward_net.html" target="_self">melon::FeedForwardNet&lt; T &gt;</a></td><td class="desc">This class represents a feed foward artificial network to be used in the MAiNGO solver </td></tr>
<tr id="row_17_1_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classmelon_1_1_gaussian_process.html" target="_self">melon::GaussianProcess&lt; T &gt;</a></td><td class="desc">This class represents a Gaussian process, to be used in the MAiNGO solver </td></tr>
<tr id="row_17_2_" class="odd"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classmelon_1_1_mulfil_gp.html" target="_self">melon::MulfilGp&lt; T &gt;</a></td><td class="desc">Class that represents a multifidelity Gaussian process, to be used in the MAiNGO solver </td></tr>
<tr id="row_17_3_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_17_3_" class="arrow" onclick="dynsection.toggleFolder('17_3_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classmelon_1_1_support_vector_machine.html" target="_self">melon::SupportVectorMachine&lt; T &gt;</a></td><td class="desc">Class defining support vector machine to be used in the MAiNGO solver </td></tr>
<tr id="row_17_3_0_" class="odd"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classmelon_1_1_support_vector_machine_one_class.html" target="_self">melon::SupportVectorMachineOneClass&lt; T &gt;</a></td><td class="desc">Class defining support vector machine for one class classification to be used in the MAiNGO solver </td></tr>
<tr id="row_17_3_1_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classmelon_1_1_support_vector_regression.html" target="_self">melon::SupportVectorRegression&lt; T &gt;</a></td><td class="desc">Class defining support vector machine for regression to be used in the MAiNGO solver </td></tr>
<tr id="row_18_" class="odd"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_18_" class="arrow" onclick="dynsection.toggleFolder('18_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtinyxml2_1_1_mem_pool.html" target="_self">tinyxml2::MemPool</a></td><td class="desc"></td></tr>
<tr id="row_18_0_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtinyxml2_1_1_mem_pool_t.html" target="_self">tinyxml2::MemPoolT&lt; sizeof(tinyxml2::XMLElement) &gt;</a></td><td class="desc"></td></tr>
<tr id="row_18_1_" class="odd"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtinyxml2_1_1_mem_pool_t.html" target="_self">tinyxml2::MemPoolT&lt; sizeof(tinyxml2::XMLAttribute) &gt;</a></td><td class="desc"></td></tr>
<tr id="row_18_2_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtinyxml2_1_1_mem_pool_t.html" target="_self">tinyxml2::MemPoolT&lt; sizeof(tinyxml2::XMLText) &gt;</a></td><td class="desc"></td></tr>
<tr id="row_18_3_" class="odd"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtinyxml2_1_1_mem_pool_t.html" target="_self">tinyxml2::MemPoolT&lt; sizeof(tinyxml2::XMLComment) &gt;</a></td><td class="desc"></td></tr>
<tr id="row_18_4_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtinyxml2_1_1_mem_pool_t.html" target="_self">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;</a></td><td class="desc"></td></tr>
<tr id="row_19_" class="odd"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_19_" class="arrow" onclick="dynsection.toggleFolder('19_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_model_data.html" target="_self">ModelData</a></td><td class="desc">Abstract class from which specific model data object can be derived and enabling polymorphism </td></tr>
<tr id="row_19_0_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structmelon_1_1_ann_data.html" target="_self">melon::AnnData</a></td><td class="desc">Struct containing all information regarding the structure of a feedforward neural network </td></tr>
<tr id="row_19_1_" class="odd"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structmelon_1_1_g_p_data.html" target="_self">melon::GPData</a></td><td class="desc">Struct containing all information regarding the Gaussian process </td></tr>
<tr id="row_19_2_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structmelon_1_1_mulfil_gp_data.html" target="_self">melon::MulfilGpData</a></td><td class="desc"></td></tr>
<tr id="row_19_3_" class="odd"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structmelon_1_1_svm_data.html" target="_self">melon::SvmData</a></td><td class="desc">Struct containing all information regarding the support vector machine </td></tr>
<tr id="row_20_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_20_" class="arrow" onclick="dynsection.toggleFolder('20_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classmelon_1_1_model_parser.html" target="_self">melon::ModelParser</a></td><td class="desc">This class is a abstract parent class for model parser implemented in the MeLOn library </td></tr>
<tr id="row_20_0_" class="odd"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_20_0_" class="arrow" onclick="dynsection.toggleFolder('20_0_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classmelon_1_1_ann_parser.html" target="_self">melon::AnnParser</a></td><td class="desc">This class implements an abstract parent class for ANN file parser </td></tr>
<tr id="row_20_0_0_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classmelon_1_1_ann_parser_csv.html" target="_self">melon::AnnParserCsv</a></td><td class="desc">This class implements an specialization of the <a class="el" href="classmelon_1_1_ann_parser.html" title="This class implements an abstract parent class for ANN file parser.">AnnParser</a> for csv files </td></tr>
<tr id="row_20_0_1_" class="odd"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classmelon_1_1_ann_parser_xml.html" target="_self">melon::AnnParserXml</a></td><td class="desc">This class implements an specialization of the <a class="el" href="classmelon_1_1_ann_parser.html" title="This class implements an abstract parent class for ANN file parser.">AnnParser</a> for xml files </td></tr>
<tr id="row_20_1_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classmelon_1_1_gp_parser.html" target="_self">melon::GpParser</a></td><td class="desc">This class implements a Gaussian process file parser </td></tr>
<tr id="row_20_2_" class="odd"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classmelon_1_1_mulfil_gp_parser.html" target="_self">melon::MulfilGpParser</a></td><td class="desc">Class that implements a multifidelity Gaussian process file parser </td></tr>
<tr id="row_20_3_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classmelon_1_1_svm_parser.html" target="_self">melon::SvmParser</a></td><td class="desc">This class implements a support vector machine file parser </td></tr>
<tr id="row_21_" class="odd"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_21_" class="arrow" onclick="dynsection.toggleFolder('21_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classmelon_1_1_model_parser_factory.html" target="_self">melon::ModelParserFactory</a></td><td class="desc">This class is a abstract parent class for model parser factories implemented in the MeLOn library </td></tr>
<tr id="row_21_0_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classmelon_1_1_ann_parser_factory.html" target="_self">melon::AnnParserFactory</a></td><td class="desc">This class is a factory class for creating child instances of <a class="el" href="classmelon_1_1_ann_parser.html" title="This class implements an abstract parent class for ANN file parser.">AnnParser</a> </td></tr>
<tr id="row_21_1_" class="odd"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classmelon_1_1_gp_parser_factory.html" target="_self">melon::GpParserFactory</a></td><td class="desc">This class is a factory class for creating child instances of <a class="el" href="classmelon_1_1_gp_parser.html" title="This class implements a Gaussian process file parser.">GpParser</a> </td></tr>
<tr id="row_21_2_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classmelon_1_1_mulfil_gp_parser_factory.html" target="_self">melon::MulfilGpParserFactory</a></td><td class="desc">Class that implements a factory for creating child instances of <a class="el" href="classmelon_1_1_mulfil_gp_parser.html" title="Class that implements a multifidelity Gaussian process file parser.">MulfilGpParser</a> </td></tr>
<tr id="row_21_3_" class="odd"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classmelon_1_1_svm_parser_factory.html" target="_self">melon::SvmParserFactory</a></td><td class="desc">This class is a factory class for creating child instances of <a class="el" href="classmelon_1_1_svm_parser.html" title="This class implements a support vector machine file parser.">SvmParser</a> </td></tr>
<tr id="row_22_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_mul_fil_gp_data.html" target="_self">MulFilGpData</a></td><td class="desc">Struct that contains all information for creating a multifidelity Gaussian process </td></tr>
<tr id="row_23_" class="odd"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_23_" class="arrow" onclick="dynsection.toggleFolder('23_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classmelon_1_1_scaler.html" target="_self">melon::Scaler&lt; T &gt;</a></td><td class="desc">Abstract class defining scaling algorithm </td></tr>
<tr id="row_23_0_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classmelon_1_1_identity_scaler.html" target="_self">melon::IdentityScaler&lt; T &gt;</a></td><td class="desc">Class implementing an identity scaling algorithm </td></tr>
<tr id="row_23_1_" class="odd"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classmelon_1_1_min_max_scaler.html" target="_self">melon::MinMaxScaler&lt; T &gt;</a></td><td class="desc">Class implementing a MinMax-Scaling algorithm </td></tr>
<tr id="row_23_2_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classmelon_1_1_standard_scaler.html" target="_self">melon::StandardScaler&lt; T &gt;</a></td><td class="desc">Class implementing a Standard-Scaling algorithm </td></tr>
<tr id="row_24_" class="odd"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structmelon_1_1_scaler_data.html" target="_self">melon::ScalerData</a></td><td class="desc">Base struct from which data structs of different scalers can be derived </td></tr>
<tr id="row_25_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classmelon_1_1_scaler_factory.html" target="_self">melon::ScalerFactory&lt; T &gt;</a></td><td class="desc">This class is a factory class for creating child instances of <a class="el" href="classmelon_1_1_scaler.html" title="Abstract class defining scaling algorithm.">Scaler</a> </td></tr>
<tr id="row_26_" class="odd"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_stationary.html" target="_self">Stationary</a></td><td class="desc">Abstract parent class for stationary kernel implementations </td></tr>
<tr id="row_27_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtinyxml2_1_1_str_pair.html" target="_self">tinyxml2::StrPair</a></td><td class="desc"></td></tr>
<tr id="row_28_" class="odd"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtinyxml2_1_1_x_m_l_attribute.html" target="_self">tinyxml2::XMLAttribute</a></td><td class="desc"></td></tr>
<tr id="row_29_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtinyxml2_1_1_x_m_l_const_handle.html" target="_self">tinyxml2::XMLConstHandle</a></td><td class="desc"></td></tr>
<tr id="row_30_" class="odd"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtinyxml2_1_1_x_m_l_handle.html" target="_self">tinyxml2::XMLHandle</a></td><td class="desc"></td></tr>
<tr id="row_31_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_31_" class="arrow" onclick="dynsection.toggleFolder('31_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtinyxml2_1_1_x_m_l_node.html" target="_self">tinyxml2::XMLNode</a></td><td class="desc"></td></tr>
<tr id="row_31_0_" class="odd"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtinyxml2_1_1_x_m_l_comment.html" target="_self">tinyxml2::XMLComment</a></td><td class="desc"></td></tr>
<tr id="row_31_1_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtinyxml2_1_1_x_m_l_declaration.html" target="_self">tinyxml2::XMLDeclaration</a></td><td class="desc"></td></tr>
<tr id="row_31_2_" class="odd"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtinyxml2_1_1_x_m_l_document.html" target="_self">tinyxml2::XMLDocument</a></td><td class="desc"></td></tr>
<tr id="row_31_3_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtinyxml2_1_1_x_m_l_element.html" target="_self">tinyxml2::XMLElement</a></td><td class="desc"></td></tr>
<tr id="row_31_4_" class="odd"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtinyxml2_1_1_x_m_l_text.html" target="_self">tinyxml2::XMLText</a></td><td class="desc"></td></tr>
<tr id="row_31_5_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtinyxml2_1_1_x_m_l_unknown.html" target="_self">tinyxml2::XMLUnknown</a></td><td class="desc"></td></tr>
<tr id="row_32_" class="odd"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtinyxml2_1_1_x_m_l_util.html" target="_self">tinyxml2::XMLUtil</a></td><td class="desc"></td></tr>
<tr id="row_33_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_33_" class="arrow" onclick="dynsection.toggleFolder('33_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtinyxml2_1_1_x_m_l_visitor.html" target="_self">tinyxml2::XMLVisitor</a></td><td class="desc"></td></tr>
<tr id="row_33_0_" class="odd"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtinyxml2_1_1_x_m_l_printer.html" target="_self">tinyxml2::XMLPrinter</a></td><td class="desc"></td></tr>
</table>
</div><!-- directory -->
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
